Skip to content

Create Damage Report

Create a new vehicle damage report.

Endpoint

INFO

POST /api/v1/dashboard/damages

Headers

HeaderValueRequired
Content-Typeapplication/jsonYes
Acceptapplication/jsonYes
AuthorizationBearer {token}Yes

Request Body

ParameterTypeRequiredDescription
vehicle_idintegerYesVehicle ID
booking_idintegerNoRelated booking ID
typestringYesDamage type
locationstringYesDamage location on vehicle
severitystringYesSeverity: minor, moderate, severe
descriptionstringYesDetailed description
imagesarrayNoArray of image URLs

Example Request

bash
curl -X POST https://api.daakey.com/api/v1/dashboard/damages \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer {token}" \
  -d '{
    "vehicle_id": 1,
    "booking_id": 50,
    "type": "scratch",
    "location": "front_bumper",
    "severity": "minor",
    "description": "Small scratch on front bumper, approximately 5cm long"
  }'

Response

Success (201)

json
{
  "success": true,
  "message": "Damage report created",
  "data": {
    "id": 1,
    "vehicle": {
      "id": 1,
      "plate_number": "ABC-123"
    },
    "booking": {
      "id": 50,
      "reference": "BK-2024-00050"
    },
    "type": "scratch",
    "location": "front_bumper",
    "severity": "minor",
    "description": "Small scratch on front bumper, approximately 5cm long",
    "status": "reported",
    "created_at": "2024-01-15T10:00:00Z"
  },
  "request_id": "uuid",
  "timestamp": "2024-01-01T00:00:00.000Z"
}

Damage Types

TypeDescription
scratchSurface scratches
dentDents or deformations
crackCracks (windshield, lights)
stainInterior stains
mechanicalMechanical issues
otherOther damage types

Location Values

LocationDescription
front_bumperFront bumper
rear_bumperRear bumper
hoodHood/bonnet
roofRoof
door_front_leftFront left door
door_front_rightFront right door
door_rear_leftRear left door
door_rear_rightRear right door
fender_front_leftFront left fender
fender_front_rightFront right fender
fender_rear_leftRear left fender
fender_rear_rightRear right fender
interiorInterior
windshieldWindshield
windowWindows
tireTires/wheels

Daakey Car Sharing Platform